/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"
#include "../display/texture.h"
#include "../display/shader.h"
#include "../display/primitive.h"
#include "../display/primitives/quad.h"

typedef struct {
  float width, height;
  texture_t texture;
  primitive_t quad;
} rectangle_t;

void rectangleInit(rectangle_t *rectangle);

void rectangleSetColor(rectangle_t *rectangle, pixel_t color);

void rectangleRender(rectangle_t *rect, shader_t *shader, float x, float y);

void rectangleDispose(rectangle_t *rectangle);